# Getting Started

Currently, you are unlikely to want to interact much with `yama` except to create a pile for use with `datman`.


## Installation

TODO `cargo install`


## Creating a Pile

Change to a desired pile directory and use `yama init`.

This will initialise a pile in the current directory.

A `yama.toml` file such as the following will be created:

```toml
yama_version = "0.3.1"
storage = "SqliteIndexedBloblog"
compression = 12
```

This pile has compression enabled (with level 12), and is using SQLite-indexed bloblogs for storage. (No other storage mechanisms are currently recommended.)


## Retrieving

Retrieving is currently a bit more difficult.

Use `yama debug lsp` to list the pointers stored in the database.

Then use `yama retrieve-adv pointer-ID dest-path` to retrieve files from the pile (from pointer `pointer-ID`) and put them into `dest-path`.


## Check

Use `yama check --shallow` to do a shallow (fast) check.

`yama check --deep` does a deep check, by reading in every single chunk.

Adding `--dry-run-gc` will report the number of unused chunks. There is also an option to sweep these away, which can be found in `--help` but is not yet documented here.

Executing garbage collection is not yet recommended.
