# Yama (山)

Yama is a system for storing and retrieving data in a way that is chunked and deduplicated.

It is especially intended to be used as a backup tool.

Overview of features:
* Chunk-based deduplication using FastCDC
* Compression using Zstd, offering a good balance of compression ratio and performance
* Encryption using XSalsa20Poly1305 (from NaCl/SodiumOxide)
* ~~Remote (TODO documentation link)~~ NOT IMPLEMENTED YET
* ~~*'Log-shipping'* style of usage where your machine only store changes and then move them to e.g. an external hard drive. (TODO documentation link)~~ NOT IMPLEMENTED YET
* Incremental storage (i.e. unchanged files are not stored), and differential storage (roughly only changed portions of (large) files are stored) lead to an efficient on-disk format.

Yama is still an alpha project and not intended for storing anyone else's data. I still want a comprehensive test suite so that I can have confidence that my data is not being eaten!

**For more data management (including backup) features built on top of Yama, see [Datman](../datman/).**
